Read a saved number order
curl --request GET \
--url https://api.pyai.com/v1/telephony/number-orders/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pyai.com/v1/telephony/number-orders/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pyai.com/v1/telephony/number-orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pyai.com/v1/telephony/number-orders/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pyai.com/v1/telephony/number-orders/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pyai.com/v1/telephony/number-orders/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pyai.com/v1/telephony/number-orders/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "telephony.number_order",
"id": "tno_...",
"status": "pending",
"phone_number": "<string>",
"country": "US",
"project_id": "<string>",
"retry_after_seconds": 1,
"message": "<string>",
"failure_code": "<string>",
"number": {
"object": "telephony.number",
"id": "pn_...",
"phone_number": "+14155550123",
"country": "US",
"area_code": "415",
"capabilities": {
"voice": true,
"sms": true
},
"agent_id": "<string>",
"recording": true,
"monthly_cost_cents": 123,
"connection_id": "<string>",
"inbound_managed": true,
"status": "active",
"created_at": 123,
"released_at": 123
}
}{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"request_id": "<string>"
}Telephony
Read a saved number order
Read only this authenticated live project’s US, Canadian or Australian number order. Returns safe status and the confirmed number receipt without original credentials, regulatory identifiers or request keys. Requires telephony:manage.
GET
/
v1
/
telephony
/
number-orders
/
{id}
Read a saved number order
curl --request GET \
--url https://api.pyai.com/v1/telephony/number-orders/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pyai.com/v1/telephony/number-orders/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pyai.com/v1/telephony/number-orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pyai.com/v1/telephony/number-orders/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pyai.com/v1/telephony/number-orders/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pyai.com/v1/telephony/number-orders/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pyai.com/v1/telephony/number-orders/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "telephony.number_order",
"id": "tno_...",
"status": "pending",
"phone_number": "<string>",
"country": "US",
"project_id": "<string>",
"retry_after_seconds": 1,
"message": "<string>",
"failure_code": "<string>",
"number": {
"object": "telephony.number",
"id": "pn_...",
"phone_number": "+14155550123",
"country": "US",
"area_code": "415",
"capabilities": {
"voice": true,
"sms": true
},
"agent_id": "<string>",
"recording": true,
"monthly_cost_cents": 123,
"connection_id": "<string>",
"inbound_managed": true,
"status": "active",
"created_at": 123,
"released_at": 123
}
}{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"request_id": "<string>"
}Authorizations
apiKeyxApiKey
Response
Saved order